EZ_AddWidgetCallBack(3)

NAME
EZ_AddWidgetCallBack,EZ_RemoveWidgetCallBack, EZ_RemoveAllWidgetCallBacks - register/remove callbacks associated to a widget

SYNOPSIS
#include <EZ.h>

void EZ_AddWidgetCallBack( EZ_Widget *widget,
     int which, EZ_CallBack callback, void *clientdata, int location)
void EZ_RemoveWidgetCallBack( EZ_Widget *widget,
     int which, EZ_CallBack callback, void *clientdata)
void EZ_RemoveAllWidgetCallBacks( EZ_Widget *widget, int which)

ARGUMENTS
widget Specifies an EZ widget.

callback Specifies a callback.

clientdata Specifies an clientdata to be passed to the callback.

which Specifies a callback list.

location Specifies when the callback is to be called relative to other previously callbacks.

DESCRIPTION

An callback is a procedure of the following prototype:

    void (* callback)(void *object, void *data)

EZ_AddWidgetCallBack registers a callback to a widget. There are three callback lists associated to a widget: an EZ_CALLBACK list, an EZ_MOTION_CALLBACK list and an EZ_DESTROY_CALLBACK list. Motion callbacks are invoked whenever the the selection item changes. Normal callbacks are called when a Button1 press occurs on the widget window or a selection is made. Destroy callbacks are invoked at the time a widget is destroyed. If location is 0, the callback will be put in front of all previously registered callbacks. If location is 1, the callback will be inserted at the end of all previousely registered callbacks.

EZ_RemoveWidgetCallBack deletes a callback from the specified callback list. The specified callback will be deleted only if both the procedure and the client data match.

EZ_RemoveAllCallBacks deletes all callbacks from the specified callback list.

SEE ALSO
EZ_AddEventHandler(3)